Journal to edit a specific tabular note

Hi All,

I am quite new to journaling using VB in NX 9.0.3, and I'm trying to programatically edit cells in a tabular note without user interaction.
I think I know the tag of the table that I want to edit but I could use some help figuring out how to refer to it please.
Here'a a sample of what I'm trying to do. Is this even the right way to go about this?

[code ]Dim nxopenSession As NXOpen.UF.UFSession = NXOpen.UF.UFSession.GetUFSession()
Dim tabular_note_section As NXOpen.Tag
Dim tabular_note As NXOpen.Tag
Dim row As NXOpen.Tag
Dim col As NXOpen.Tag
Dim cell As NXOpen.Tag

'im sure this is part of the problem
tabular_note.Value = 38275

nxopenSession.Tabnot.AskNthRow(tabular_note, 0, row)
nxopenSession.Tabnot.AskNthColumn(tabular_note, 2, col)
nxopenSession.Tabnot.AskCellAtRowCol(row, col, cell)
nxopenSession.Tabnot.SetCellText(cell, "predefined text to apply to cell")[/code]

Any help would be greatly appreciated.
Thanks!

A tag doesn't have a .Value property; if 38275 is the correct tag number, you can assign it directly:
tabular_note = 38275

If it isn't the correct tag number, then you will need to find out what it is. Below is some code (from GTAC) that I often use to find the tag or type of a particular object. Select the tabular note then run the journal.

'Amy Webster
'Date: 03/28/2011
'Subject: Sample NX Open .NET Visual Basic program : report type and subtype of preselected objects
'
'Note: GTAC provides programming examples for illustration only, and
'assumes that you are familiar with the programming language being
'demonstrated and the tools used to create and debug procedures. GTAC
'support professionals can help explain the functionality of a particular
'procedure, but we will not modify these examples to provide added
'functionality or construct procedures to meet your specific needs.

Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpenUI

Module journal

Sub Main
Dim s As Session = Session.GetSession()
Dim ufs As NXOpen.UF.UFSession = NXOpen.UF.UFSession.GetUFSession()
Dim selobj As NXObject
Dim type As Integer
Dim subtype As Integer
Dim lw As ListingWindow = s.ListingWindow

Dim theUI As UI = ui.GetUI
Dim numsel As Integer = theUI.SelectionManager.GetNumSelectedObjects()
lw.Open()
lw.WriteLine("Selected Objects: " & numsel.ToString())

For inx As Integer = 0 To numsel-1
selobj = theUI.SelectionManager.GetSelectedObject(inx)

ufs.Obj.AskTypeAndSubtype(selobj.Tag, type, subtype)
lw.WriteLine("Object: " & selobj.ToString())
lw.WriteLine(" Tag: " & selobj.Tag.ToString())
lw.WriteLine(" Type: " & type.ToString())
lw.WriteLine(" Subtype: " & subtype.ToString())
lw.WriteLine("")
Next

End Sub

End Module

That was a great help thank you very much.
Although when running the code you gave to find the correct tag number, I discovered that I cant interactively select the Tabular Note, just the tabular note section. So I added this line
nxopenSession.Tabnot.AskTabularNoteOfSection(tabular_note_section, tabular_note)
to get the note tag from the section tag, then assigned it like you mentioned and everything worked great.
Thanks again!